--- old/usr/src/pkg/manifests/driver-pcmcia.mf	2013-09-22 14:51:12.655158226 +0200
+++ new/usr/src/pkg/manifests/driver-pcmcia.mf	2013-09-22 14:51:12.663114996 +0200
@@ -44,12 +44,9 @@
 driver name=pcic class=pcmcia \
     alias=pciclass,060500 \
     alias=pciclass,060700
-driver name=pcs
 file path=kernel/drv/$(ARCH64)/pcic group=sys
-file path=kernel/drv/$(ARCH64)/pcs group=sys
 $(i386_ONLY)file path=kernel/drv/pcic group=sys
 file path=kernel/drv/pcic.conf group=sys
-$(i386_ONLY)file path=kernel/drv/pcs group=sys
 file path=usr/share/man/man7d/pcic.7d
 file path=usr/share/man/man7d/pcmcia.7d
 legacy pkg=SUNWpcmci \
--- old/usr/src/uts/common/Makefile.files	2013-09-22 14:51:12.854915596 +0200
+++ new/usr/src/uts/common/Makefile.files	2013-09-22 14:51:12.868767735 +0200
@@ -1720,8 +1720,6 @@
 
 BUSRA_OBJS += busra.o
 
-PCS_OBJS += pcs.o
-
 PCAN_OBJS += pcan.o
 
 PCATA_OBJS += pcide.o pcdisk.o pclabel.o pcata.o
--- old/usr/src/uts/common/Makefile.rules	2013-09-22 14:51:13.081755195 +0200
+++ new/usr/src/uts/common/Makefile.rules	2013-09-22 14:51:13.094316433 +0200
@@ -1496,10 +1496,6 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/pcmcia/pcs/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/rpc/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -2626,9 +2622,6 @@
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/pcmcia/nexus/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/pcmcia/pcs/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/rpc/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
--- old/usr/src/uts/common/pcmcia/pcs/pcs.c	2013-09-22 14:51:13.313172746 +0200
+++ /dev/null	2013-09-22 14:51:13.000000000 +0200
@@ -1,183 +0,0 @@
-/*
- * CDDL HEADER START
- *
- * The contents of this file are subject to the terms of the
- * Common Development and Distribution License (the "License").
- * You may not use this file except in compliance with the License.
- *
- * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
- * or http://www.opensolaris.org/os/licensing.
- * See the License for the specific language governing permissions
- * and limitations under the License.
- *
- * When distributing Covered Code, include this CDDL HEADER in each
- * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
- * If applicable, add the following below this CDDL HEADER, with the
- * fields enclosed by brackets "[]" replaced with your own identifying
- * information: Portions Copyright [yyyy] [name of copyright owner]
- *
- * CDDL HEADER END
- */
-/*
- * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
- * Use is subject to license terms.
- */
-
-
-#include <sys/types.h>
-#include <sys/byteorder.h>
-#include <sys/systm.h>
-#include <sys/ddi.h>
-#include <sys/sunddi.h>
-
-int pcs_getinfo(dev_info_t *, ddi_info_cmd_t, void *, void **);
-int pcs_attach(dev_info_t *, ddi_attach_cmd_t);
-int pcs_detach(dev_info_t *, ddi_detach_cmd_t);
-dev_info_t *pcs_dip;
-
-static struct dev_ops pcs_devops = {
-	DEVO_REV,
-	0,
-	pcs_getinfo,
-	nulldev,
-	nulldev,
-	pcs_attach,
-	pcs_detach,
-	nulldev,
-	NULL,
-	NULL,
-	NULL,
-	ddi_quiesce_not_needed,		/* quiesce */
-};
-/*
- * This is the loadable module wrapper.
- */
-#include <sys/modctl.h>
-
-extern struct mod_ops mod_driverops;
-
-static struct modldrv modldrv = {
-	&mod_driverops,		/* Type of module. This one is a driver */
-	"PCMCIA Socket Driver",	/* Name of the module. */
-	&pcs_devops,		/* driver ops */
-};
-
-static struct modlinkage modlinkage = {
-	MODREV_1, (void *)&modldrv, NULL
-};
-
-struct pcs_inst {
-	dev_info_t *dip;
-} *pcs_instances;
-
-int
-_init()
-{
-	int ret;
-	if ((ret = ddi_soft_state_init((void **)&pcs_instances,
-	    sizeof (struct pcs_inst), 1)) != 0)
-		return (ret);
-	if ((ret = mod_install(&modlinkage)) != 0) {
-		ddi_soft_state_fini((void **)&pcs_instances);
-	}
-	return (ret);
-}
-
-int
-_fini()
-{
-	int ret;
-	ret = mod_remove(&modlinkage);
-	if (ret == 0) {
-		ddi_soft_state_fini((void **)&pcs_instances);
-	}
-	return (ret);
-}
-
-int
-_info(struct modinfo *modinfop)
-{
-	return (mod_info(&modlinkage, modinfop));
-}
-
-int
-pcs_getinfo(dev_info_t *dip, ddi_info_cmd_t cmd, void *arg, void **result)
-{
-	int error = DDI_SUCCESS;
-	int inum;
-	struct pcs_inst *inst;
-#ifdef lint
-	dip = dip;
-#endif
-
-	switch (cmd) {
-	case DDI_INFO_DEVT2DEVINFO:
-		inum = getminor((dev_t)arg);
-		inst = (struct pcs_inst *)ddi_get_soft_state(pcs_instances,
-		    inum);
-		if (inst == NULL)
-			error = DDI_FAILURE;
-		else
-			*result = inst->dip;
-		break;
-	case DDI_INFO_DEVT2INSTANCE:
-		inum = getminor((dev_t)arg);
-		inst = (struct pcs_inst *)ddi_get_soft_state(pcs_instances,
-		    inum);
-		if (inst == NULL)
-			error = DDI_FAILURE;
-		else
-			*result = (void *)(uintptr_t)inum;
-		break;
-	default:
-		error = DDI_FAILURE;
-	}
-	return (error);
-}
-
-int
-pcs_attach(dev_info_t *dip, ddi_attach_cmd_t cmd)
-{
-	int ret = DDI_SUCCESS;
-	int inum;
-	struct pcs_inst *inst;
-
-	switch (cmd) {
-	case DDI_RESUME:
-		return (DDI_SUCCESS);
-	case DDI_ATTACH:
-		break;
-	default:
-		return (DDI_FAILURE);
-	}
-
-	inum = ddi_get_instance(dip);
-
-	if (ddi_soft_state_zalloc(pcs_instances, inum) == DDI_SUCCESS) {
-		inst = (struct pcs_inst *)ddi_get_soft_state(pcs_instances,
-		    inum);
-		if (inst == NULL)
-			ret = DDI_FAILURE;
-		else
-			inst->dip = dip;
-	}
-
-	return (ret);
-}
-
-int
-pcs_detach(dev_info_t *dip, ddi_detach_cmd_t cmd)
-{
-	switch (cmd) {
-	case DDI_DETACH:
-		ddi_soft_state_free(pcs_instances, ddi_get_instance(dip));
-		return (DDI_SUCCESS);
-
-	case DDI_SUSPEND:
-	case DDI_PM_SUSPEND:
-		return (DDI_SUCCESS);
-	default:
-		break;
-	}
-	return (DDI_FAILURE);
-}
--- old/usr/src/uts/intel/Makefile.intel.shared	2013-09-22 14:51:13.372109344 +0200
+++ new/usr/src/uts/intel/Makefile.intel.shared	2013-09-22 14:51:13.378319498 +0200
@@ -454,7 +454,6 @@
 #
 #	PCMCIA specific module(s)
 #
-DRV_KMODS	+= pcs
 DRV_KMODS	+= pcata
 MISC_KMODS	+= cardbus
 $(CLOSED_BUILD)CLOSED_DRV_KMODS	+= pcser
--- old/usr/src/uts/intel/pcs/Makefile	2013-09-22 14:51:13.542009627 +0200
+++ /dev/null	2013-09-22 14:51:13.000000000 +0200
@@ -1,83 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# uts/intel/pcs/Makefile
-#
-# Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the DoRight driver kernel module.
-#
-#	intel architecture dependent
-#
-
-#
-#	Path to the base of the uts directory tree (usually /usr/src/uts).
-#
-UTSBASE	= ../..
-
-#
-#	Define the module and object file sets.
-#
-MODULE		= pcs
-OBJECTS		= $(PCS_OBJS:%=$(OBJS_DIR)/%)
-LINTS		= $(PCS_OBJS:%.o=$(LINTS_DIR)/%.ln)
-ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
-
-#
-#	Include common rules.
-#
-include $(UTSBASE)/intel/Makefile.intel
-
-#
-#	Define targets
-#
-ALL_TARGET	= $(BINARY)
-LINT_TARGET	= $(MODULE).lint
-INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
-
-#
-#	Default build targets.
-#
-.KEEP_STATE:
-
-def:		$(DEF_DEPS)
-
-all:		$(ALL_DEPS)
-
-clean:		$(CLEAN_DEPS)
-
-clobber:	$(CLOBBER_DEPS)
-
-lint:		$(LINT_DEPS)
-
-modlintlib:	$(MODLINTLIB_DEPS)
-
-clean.lint:	$(CLEAN_LINT_DEPS)
-
-install:	$(INSTALL_DEPS)
-
-#	Include common targets.
-#
-include $(UTSBASE)/intel/Makefile.targ
--- old/usr/src/uts/sparc/Makefile.sparc.shared	2013-09-22 14:51:13.600162059 +0200
+++ new/usr/src/uts/sparc/Makefile.sparc.shared	2013-09-22 14:51:13.606480252 +0200
@@ -339,7 +339,6 @@
 #
 # PCMCIA specific module(s)
 #
-DRV_KMODS	+= pcs
 MISC_KMODS	+= busra cardbus dada pcmcia
 DRV_KMODS	+= pcata
 DRV_KMODS	+= pcic
--- old/usr/src/uts/sparc/pcs/Makefile	2013-09-22 14:51:13.764368042 +0200
+++ /dev/null	2013-09-22 14:51:13.000000000 +0200
@@ -1,94 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# uts/sparc/pcs/Makefile
-# Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the DoRight driver kernel module.
-#
-#	sparc architecture dependent
-#
-
-#
-#	Path to the base of the uts directory tree (usually /usr/src/uts).
-#
-UTSBASE	= ../..
-
-#
-#	Define the module and object file sets.
-#
-MODULE		= pcs
-OBJECTS		= $(PCS_OBJS:%=$(OBJS_DIR)/%)
-LINTS		= $(PCS_OBJS:%.o=$(LINTS_DIR)/%.ln)
-ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
-
-#
-#	Include common rules.
-#
-include $(UTSBASE)/sparc/Makefile.sparc
-
-#
-#	Define targets
-#
-ALL_TARGET	= $(BINARY)
-LINT_TARGET	= $(MODULE).lint
-INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
-
-#
-#	Overrides
-#
-DEF_BUILDS	= $(DEF_BUILDS64)
-ALL_BUILDS	= $(ALL_BUILDS64)
-CLEANLINTFILES	+= $(LINT64_FILES)
-
-#
-# lint pass one enforcement
-#
-CFLAGS += $(CCVERBOSE)
-
-#
-#	Default build targets.
-#
-.KEEP_STATE:
-
-def:		$(DEF_DEPS)
-
-all:		$(ALL_DEPS)
-
-clean:		$(CLEAN_DEPS)
-
-clobber:	$(CLOBBER_DEPS)
-
-lint:		$(LINT_DEPS)
-
-modlintlib:	$(MODLINTLIB_DEPS) lint64
-
-clean.lint:	$(CLEAN_LINT_DEPS)
-
-install:	$(INSTALL_DEPS)
-
-#	Include common targets.
-#
-include $(UTSBASE)/sparc/Makefile.targ
